package com.example.switchyard.TestFileTransfer;

import org.switchyard.Exchange;
import org.switchyard.Property;
import org.switchyard.Scope;
import org.switchyard.component.camel.common.composer.CamelBindingData;
import org.switchyard.component.camel.common.composer.CamelMessageComposer;


public class TestMessageComposer extends CamelMessageComposer {
	@Override
	public CamelBindingData decompose(Exchange exchange, CamelBindingData target)
			throws Exception {
		super.decompose(exchange, target);
		
		Property prop = null; //exchange.getContext().getProperty("CamelFileName", Scope.MESSAGE);
		String fileName = (String)prop.getValue();
		
		org.apache.camel.Message targetMessage = target.getMessage();
		targetMessage.setHeader("org.apache.camel.Exchange.FILE_NAME",
				fileName);
		targetMessage.setHeader("Exchange.FILE_NAME", "mynewfilename");
		exchange.getContext().setProperty(
				"org.apache.camel.Exchange.FILE_NAME", fileName,
				Scope.MESSAGE);
		exchange.getContext().setProperty("Exchange.FILE_NAME",
				fileName, Scope.MESSAGE);

		return target;
	}
}
