package com.example.switchyard.TestFileTransfer;

import javax.inject.Inject;

import org.switchyard.Context;
import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.ReferenceInvocation;
import org.switchyard.component.bean.ReferenceInvoker;
import org.switchyard.component.bean.Service;

@Service(TestFileTransfer.class)
public class TestFileTransferBean implements TestFileTransfer {

	@Inject
	@Reference("FileOut")
	private ReferenceInvoker _fileOut;

	@Inject
	private Context ctx;

	@Override
	public void process(String msg) {
		try {
			ReferenceInvocation invocation = _fileOut.newInvocation("process");
			invocation.setProperty("CamelFileName", "newfile.txt");
			invocation.invoke(msg);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

}
